/*= EIP114X Include File ==================================================*/

/*= GLOBAL CONSTANT DECLARATIONS ==========================================*/

/* Replace 10 with the maximum number of devices of this type being used.  */
#define  eip114x_MAX_INSTR    10
#define  NI_VXI               1
#define  NI_GPIB              2

#define  eip114x_STS_SRQ      0
#define  eip114x_STS_STD      1
#define  eip114x_STS_OPER     2
#define  eip114x_STS_QUES     3

#define  eip114x_STS_EVENT    0
#define  eip114x_STS_ENABLE   1
#define  eip114x_STS_NTR      2
#define  eip114x_STS_PTR      3


/*= GLOBAL FUNCTION DECLARATIONS ==========================================*/
int eip114x_init (int logicalAddress, int platform, int idQuery, int resetDevice,
                  int *instrumentID, int *modelNumber);
int eip114x_cal_all (int instrumentID);
int eip114x_cal_all_query (int instrumentID, int *resultCode, char resultMessage[]);
int eip114x_frequency (int instrumentID, int tuningMethod, int parameterType,
                       double frequency, int unit);
int eip114x_freq_power (int instrumentID, double frequency, int unit,
                        double powerdBm, int attenuationdB);
int eip114x_mode_set (int instrumentID, int listMode, int frequencyMode,
                      int powerMode, int AMMode, int CMMode, int PULMMode);
int eip114x_am_setup (int instrumentID, int AMDepth, int AMState);
int eip114x_cm_setup (int instrumentID, int CMState, double IFFrequencyMHz);
int eip114x_pulm_setup (int instrumentID, int PULMState);
int eip114x_rf_outp_control (int instrumentID, int ALCState, int blanking,
                             int RFOutput);
int eip114x_outp_filter_center (int instrumentID);
int eip114x_outp_rosc (int instrumentID, int referenceSource,
                       int connectorDirection);
int eip114x_outp_trig (int instrumentID, int triggerLine, int newState);
int eip114x_list_setup (int instrumentID, int startingEvent, int count,
                        int direction, int dwellLink, double dwellTimeSec);
int eip114x_list_pvector_values (int instrumentID, int pointNumber,
                                 double frequency, int unit, double powerdBm,
                                 int AMDepth, int CMState, int PULMState);
int eip114x_memory_list_delete (int instrumentID);
int eip114x_sweep_freq_start_stop (int instrumentID, int sweepLimits,
                                   double startFrequency, double stopFrequency,
                                   int unit);
int eip114x_sweep1_setup (int instrumentID, int startingEvent, int count,
                          int direction, int dwellLink, double dwellTimeSec,
                          double frequencyStep, int unit);
int eip114x_sweep_power_start_stop (int instrumentID, int sweepLimits,
                                    double powerStartdB, double powerStopdB);
int eip114x_sweep2_setup (int instrumentID, int startingEvent, int count,
                          int direction, int dwellLink, double dwellTimeSec,
                          double powerStepdB);
int eip114x_am_depth_step (int instrumentID, int AMDepthStep);
int eip114x_frequency_step (int instrumentID, double frequencyStep, int unit);
int eip114x_user_settings (int instrumentID, int action);
int eip114x_memory_free_all_qry (int instrumentID, int *freeBytes);
int eip114x_cls (int instrumentID);
int eip114x_status_preset (int instrumentID);
int eip114x_status_enable_srq (int instrumentID, int questEnable, int operEnable,
                               int stdEnable, int operPtr, int operNtr,
                               int SRQEnable);
int eip114x_status_oper_read_all (int instrumentID, int *condition, int *ntr,
                                  int *ptr, int *event, int *enable);
int eip114x_status_quest_read_all (int instrumentID, int *calCondition, int *event,
                                   int *enable, int *frequencyEvent,
                                   int *powerEvent, int *voltageEvent);
int eip114x_status_std_read_all (int instrumentID, int *standardEvent, int *enable,
                                 int *statusByte, int *SRQEnable);
int eip114x_trigger_abort (int instrumentID, int setInitContinuous);
int eip114x_trigger_setup (int instrumentID, int triggerSequence, int count,
                           int ECount, int source);
int eip114x_trigger_init_immediate (int instrumentID, int initiateSequences);
int eip114x_trigger_immediate (int instrumentID, int triggerSequence);
int eip114x_trigger_signal (int instrumentID, int triggerSignal);
int eip114x_error_polling (int autoPolling);
int eip114x_power_dac (int instrumentID, int percentPower);
int eip114x_self_test (int instrumentID, int *testResult, char testMessage[]);
int eip114x_write (int instrumentID, char commandString[]);
int eip114x_read (int instrumentID, int numbytes, char inBuffer[], long *bytesRead);
int eip114x_serial_poll (int instrumentID, int *statusByte);
int eip114x_parameter_query (int instrumentID, char commandString[],
                             double delaySec, char inBuffer[]);
int eip114x_reset (int instrumentID);
int eip114x_error_query (int instrumentID, int *errorNumber, char errorMessage[]);
int eip114x_revision_query (int instrumentID, char modelNumber[],
                            char serialNumber[], char instrFirmwareRev[],
                            char LWDriverRev[]);
int eip114x_close (int instrumentID);


/*=== END INCLUDE FILE ====================================================*/
